| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxStringClientData Class Reference
Class List by Category » Containers

`#include <wx/clntdata.h>`

Inheritance diagram for wxStringClientData:
[legend]

## Detailed Description

Predefined client data class for holding a string.

##

Library: wxBase
Category: Containers

## Public Member Functions

| wxStringClientData ()
| Default constructor. More...
| wxStringClientData (const wxString &data)
| Create client data with string. More...
const wxString & | GetData () const
| Get string client data. More...
void | SetData (const wxString &data)
| Set string client data. More...
Public Member Functions inherited from wxClientData
| wxClientData ()
| Constructor. More...
virtual | ~wxClientData ()
| Virtual destructor. More...

## Constructor & Destructor Documentation

wxStringClientData::wxStringClientData | ( |  | ) |

Default constructor.

wxStringClientData::wxStringClientData | ( | const wxString & | data | ) |

Create client data with string.

## Member Function Documentation

const wxString& wxStringClientData::GetData | ( |  | ) | const

Get string client data.

void wxStringClientData::SetData | ( | const wxString & | data | ) |

Set string client data.